class LeicaScFinderApp::Camera
  attr_accessor :name, :price, :year, :condition, :url, :description
  
  @@all = []
  
  def self.all
    @@all
  end

  def self.sanitize
    @@all.delete_if { |camera| camera.name =="" }
  end

  def self.print
    @@all.each.with_index(1) do |camera, ind|
      puts "#{ind}. #{camera.name}, price: #{camera.price}, year: #{camera.year}, condition: #{camera.condition}"
      puts "--Description: #{camera.description}"
      puts ""
    end
  end


  def self.scrape(url)
    @@all.clear

    doc = Nokogiri::HTML(open(url))
    doc.css("ol.products-list li").each do |camera|
      the_camera = self.new
      the_camera.name = camera.css("h2.product-name").text rescue ""
      the_camera.price = camera.css("span.price").text.gsub(".-", "") rescue ""
      the_camera.condition = camera.css("span.attribute:contains('Condition:')").text.gsub("Condition: ","") rescue ""
      the_camera.year = camera.css("span.attribute:contains('Year:')").text.gsub("Year: ", "") rescue ""
      the_camera.url = camera.css("h2.product-name a").attribute("href").value rescue ""
      if the_camera.url != ""
        the_camera.add_self_description
      end
      @@all << the_camera
    end
    self.sanitize
  end

  def add_self_description
    doc = Nokogiri::HTML(open(self.url))
    self.description = doc.css("div.std").text.strip
  end
end