class LeicaScFinderApp::CameraListItem
  attr_accessor :title, :count, :link

  @@all = []

  def self.all
    @@all
  end

  def self.print
    all.each.with_index(1) do |item, ind|
      puts "#{ind}. #{item.title}, count: #{item.count}"
    end
  end

  def self.scrape
    @doc = Nokogiri::HTML(open("http://www.leicashop.com/vintage_en/leica/leica-screw-mount-cameras.html?listview=1"))
    @doc.search("table.data-table.table-bordered td").each do |row|
      list_item = LeicaScFinderApp::CameraListItem.new
      list_item.title = row.search("a").attribute("title").text
      list_item.count = row.search("a").text[1..-1].match(/\d/)[0]
      list_item.link = row.search("a").attr("href").value
      self.all << list_item
    end
  end
end