class LeicaScFinderApp::CLI
  puts "Welcome to the Leica Screw Mount Camera finder app."
  puts "Here is a high-level list of screw mount cameras available at Leicashop.com!"
  puts ""
  LeicaScFinderApp::CameraListItem.scrape
  LeicaScFinderApp::CameraListItem.print
  puts ""
 
  loop do
    puts "Please choose a number to view a page from the categories list or type list or type exit:"
    input = gets.chomp
    puts ""
    case 
    when input.to_i.between?(1, LeicaScFinderApp::CameraListItem.all.size)
      url = LeicaScFinderApp::CameraListItem.all[input.to_i - 1].link
      LeicaScFinderApp::Camera.scrape(url)
      LeicaScFinderApp::Camera.print
      puts ""
    when input.downcase == "list"
      LeicaScFinderApp::CameraListItem.print
      puts ""
    when input.downcase == "exit"
      break
    else
      puts "Not a valid choice, please try again."
    end
  end

  puts ""
  puts "Thank you for viewing the Leica screw mount cameras from Leicashop.com!"
end
